Bug 523215 - dmraid.pdc/*.dat is empty
Summary: dmraid.pdc/*.dat is empty
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dmraid
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: LVM and device-mapper development team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 13:54 UTC by Winfrid Tschiedel
Modified: 2010-07-01 10:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-01 10:35:33 UTC
heinzm: fedora-cvs+


Attachments (Terms of Use)
last 32kb of /dev/sda (793 bytes, application/octet-stream)
2009-09-14 13:54 UTC, Winfrid Tschiedel
no flags Details
tarred (bzip2) of dmraid.pdc (974 bytes, application/octet-stream)
2009-09-21 09:35 UTC, Winfrid Tschiedel
no flags Details

Description Winfrid Tschiedel 2009-09-14 13:54:06 UTC
Created attachment 360944 [details]
last 32kb of /dev/sda

Description of problem:
command dmraid -rD produces incorrect information for Promise FastTrel S150 SATA Raid controller 


Version-Release number of selected component (if applicable):
dmraid-1.0.0.rc15-8.fc12.x86_64


How reproducible:
always - exists on every to me known dmraid version
( even on Novell distributions )

Steps to Reproduce:
1. Have a system with Promnise FastTrek S150 TX2 controller
2. Install fedora/redhat on BIOS Raid (dmraid)
3.
  
Actual results:
dmraid.pdc/*.dat is empty 

Expected results:
*.dat file should contain FastTrak information

Additional info:
[root@rx220a tmp]# dmraid -rD
/dev/sda: pdc, "pdc_bjfeeibeeb", stripe, ok, 312368928 sectors, data@ 0
[root@rx220a tmp]# ls -l dmraid.pdc/
total 8
-rw-------. 1 root root  0 2009-09-14 15:14 sda.dat
-rw-------. 1 root root  2 2009-09-14 15:14 sda.offset
-rw-------. 1 root root 10 2009-09-14 15:14 sda.size

[root@rx220a tmp]# more dmraid.pdc/*
::::::::::::::
dmraid.pdc/sda.dat
::::::::::::::
::::::::::::::
dmraid.pdc/sda.offset
::::::::::::::
0
::::::::::::::
dmraid.pdc/sda.size
::::::::::::::
312581808

[root@rx220a tmp]# blockdev --getsize /dev/sda
312581808
[root@rx220a tmp]# blockdev --getsize /dev/mapper/pdc_bjfeeibeeb
312368896
dd if=/dev/sda bs=512 skip=312581744 of=/tmp/pdc_bjfeeibeeb_last_32k

Comment 1 Heinz Mauelshagen 2009-09-17 11:33:39 UTC
Fix added to Fedora devel cvs.

Comment 2 Winfrid Tschiedel 2009-09-17 11:52:35 UTC
(In reply to comment #1)
> Fix added to Fedora devel cvs.  

Hello Heinz,

Do I have to do something that the fix is also added to
rhel-4/5/6 and fedora 10/11 ?

Winfrid

Comment 3 Heinz Mauelshagen 2009-09-17 12:05:26 UTC
Winfrid,

once I can build into rawhide (I'm waiting for colleagues to deploy the device-mapper-event package) and it gets some coverage, I'll role it into the other distros.

Comment 4 Winfrid Tschiedel 2009-09-21 09:29:52 UTC
Hello Heinz,

I just tested with dmraid-1.0.0.rc16-1.fc12.x86_64 
and device-mapper-1.02.37-2.fc12.x86_64 and 
the contents of dmraid.pdc/sda.dat looks now good -
I am just wondering if offset=0 is correct ?

PS: I suppose that the output of dmraid -rD for ddf1 
    should be checked.

Comment 5 Winfrid Tschiedel 2009-09-21 09:35:01 UTC
Created attachment 361897 [details]
tarred (bzip2) of dmraid.pdc

Comment 6 Bug Zapper 2009-11-16 12:21:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.